<?php

echo("Doing GNOS ");

# Easy bits
$version = snmp_get($device, "SNMPv2-SMI::mib-2.47.1.1.1.1.9.1", "-Oqvn");
$hardware = snmp_get($device, "SNMPv2-SMI::mib-2.47.1.1.1.1.7.1", "-Oqvn");
$serial = snmp_get($device, "SNMPv2-SMI::mib-2.47.1.1.1.1.11.1", "-Oqvn");

# Find other units in fabric
$units = snmp_walk($device, "SNMPv2-SMI::mib-2.47.1.1.1.1.2", "-Oqv");
$units = preg_replace("/^\n+|^[\t\s]*\n+/m", "", $units);
$units = explode("\n", $units);
$hardware = array_shift($units)." ($hardware)";
$unit_count = count($units);
$units = implode(",", $units);
if ($unit_count > 1) {
  $features = "$unit_count units in fabric ($units)";
}

# Tidy up
$version = str_replace("\"","", $version);
$features = str_replace("\"","", $features);
$hardware = str_replace("\"","", $hardware);
$serial = str_replace("\"","", $serial);

?>
